-#!/bin/sh
-
+#!/usr/bin/env bash
+#
+# Copyright (C) 2006 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
SELF=${0##*/}
[ -z "$STRIP" ] && {
exit 1
}
-find $TARGETS -type f -not -name \*.o -not -name \*.ko -a -exec file {} \; | \
- sed -n -e 's/^\(.*\):.*ELF.*\(executable\|relocatable\|shared object\).*, not stripped/\1:\2/p' | \
+find $TARGETS -type f -a -exec file {} \; | \
+ sed -n -e 's/^\(.*\):.*ELF.*\(executable\|relocatable\|shared object\).*,.* stripped/\1:\2/p' | \
(
IFS=":"
while read F S; do
echo "$SELF: $F:$S"
- eval "$STRIP $F"
+ [ "${S}" = "relocatable" ] && {
+ eval "$STRIP_KMOD $F"
+ } || {
+ b=$(stat -c '%a' $F)
+ eval "$STRIP $F"
+ a=$(stat -c '%a' $F)
+ [ "$a" = "$b" ] || chmod $b $F
+ }
done
+ true
)